Jump to content
Search In
  • More options...
Find results that contain...
Find results in...
Sign in to follow this  
Inky

just ordered a psp

Recommended Posts

well I did it, impulse buy on a PSP with 3.90 m33-5. so its time for the customary emulator suggestions. I am gonna pick up a 2gb card do you think that is big enough for a few games and emulators? last time I had a psp I only had a 512 card and it seemed fine.

Share this post


Link to post
Share on other sites

Well, if you intend to put every CPS1, CPS2 and Neo Geo roms into the MSPD, nope. That still does not include GBA roms, SNES roms etc etc. And new games like GOW and CC:FVII are around 1.7GB. So, yeah, 2GB is not enough :lol:

Share this post


Link to post
Share on other sites

I don't want to carry around full romsets. just what I like. I'll look into a 4 or 8gb card but here in the states they are way expensive and shipping from china is a nightmare. where is the best place to get the emulators now? I don't have any of my links anymore.

Share this post


Link to post
Share on other sites

One thing you can do is just have PSP games on your card for the time being until you complete the game. Then just delete it.

Share this post


Link to post
Share on other sites

Crisis Core, God of War and a few others push 1.2-1.5GB even when CSO'ed. You're best of with a 4GB or even an 8GB if you spot a good deal anywhere.

Share this post


Link to post
Share on other sites

First: I sure hope it doesn't have 3.90 M33-5 on it.

 

Second: Best place to get emulators is still Google. I'd recommend Daedalus r13 (N64), gpSP kai 32 test 8 (GBA), PSP MAME4ALL v4.9r2 Hires, RIN 1.32 RM (GB/GBC), CPS1PSP/CPS2PSP/MVSPSP/NCDZPSP v2.2.5, PicoDrive 1.40b (Genesis), Snes9xTYL v0.4.2 ME (SNES), NesterJ for PSP v1.20beta2 (NES), and pspkvm 0.3.2 (J2ME).

Share this post


Link to post
Share on other sites
First: I sure hope it doesn't have 3.90 M33-5 on it.

yeah it does..... whats wrong with it? :)

Share this post


Link to post
Share on other sites

Official Sony firmware is currently only at 3.95 with nothing significant but Internet Radio being added since 3.90.

 

So no, no 4.0 yet.

Share this post


Link to post
Share on other sites

came in the mail today! its CFW 3.80 m33-5. so I was wrong on the version. should I upgrade to 3.90m33? or leave it as is. I heard the custom firmware can be upgraded with the wifi system upgrade thingy? I bit the bullet and got a 4gb ms.

so I need game suggestions, I already have Patapon, Echochrome, SFA3, FFVII:CC and GOW.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  

×
×
  • Create New...